## freebsd-buildutils 5.2.1+20040403

=== share/mk/Makefile ===
# $FreeBSD: src/share/mk/Makefile,v 1.43 2004/02/05 00:06:45 des Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README
FILES+=	bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.files.mk
FILES+=	bsd.incs.mk bsd.info.mk bsd.init.mk
FILES+=	bsd.kmod.mk
FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
FILES+=	bsd.obj.mk bsd.own.mk
FILES+=	bsd.port.mk bsd.port.post.mk  bsd.port.pre.mk bsd.port.subdir.mk
FILES+=	bsd.prog.mk bsd.subdir.mk bsd.sys.mk
FILES+=	sys.mk
NOOBJ=	noobj
FILESDIR=	${BINDIR}/mk

.include <bsd.prog.mk>
