=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.10 2003/03/11 13:48:58 ru Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c
CFLAGS+=-I${.CURDIR}/../kgzip

.include <bsd.prog.mk>
