## freebsd-buildutils 5.2.1+20041028.1

=== share/mk/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/share/mk/Makefile,v 1.43 2004/02/05 00:06:45 des Exp $
+# $FreeBSD: src/share/mk/Makefile,v 1.44 2004/10/24 15:32:48 ru Exp $
 #	@(#)Makefile	8.1 (Berkeley) 6/8/93
 
 FILES=	bsd.README
@@ -10,7 +10,7 @@
 FILES+=	bsd.port.mk bsd.port.post.mk  bsd.port.pre.mk bsd.port.subdir.mk
 FILES+=	bsd.prog.mk bsd.subdir.mk bsd.sys.mk
 FILES+=	sys.mk
-NOOBJ=	noobj
+NOOBJ=
 FILESDIR=	${BINDIR}/mk
 
 .include <bsd.prog.mk>
