=== usr.bin/make/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #	@(#)Makefile	5.2 (Berkeley) 12/28/90
 #	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
-# $FreeBSD: src/usr.bin/make/Makefile,v 1.30 2002/10/28 23:33:57 jmallett Exp $
+# $FreeBSD: src/usr.bin/make/Makefile,v 1.34 2004/09/06 15:25:07 jmg Exp $
 
 PROG=	make
 CFLAGS+=-I${.CURDIR}
@@ -15,12 +15,12 @@
 
 NOSHARED?=	YES
 
-CFLAGS+=-DMAKE_VERSION=\"5200209170\"
+CFLAGS+=-DMAKE_VERSION=\"5200408120\"
 .if defined(_UPGRADING)
 CFLAGS+=-D__FBSDID=__RCSID
 .endif
 
-# XXX: kernel currently broken
+# There is no obvious performance improvement currently.
 # CFLAGS+=-DUSE_KQUEUE
 
 main.o: ${MAKEFILE}
