=== usr.bin/lex/lib/Makefile ===
# $FreeBSD: src/usr.bin/lex/lib/Makefile,v 1.8 2004/10/24 15:32:59 ru Exp $

LIB=    ln
SRCS=   libmain.c libyywrap.c
NOPIC=

LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a
LINKS+=	${LIBDIR}/libln.a ${LIBDIR}/libfl.a

.if !defined(NOPROFILE)
LINKS+= ${LIBDIR}/libln_p.a ${LIBDIR}/libl_p.a
LINKS+=	${LIBDIR}/libln_p.a ${LIBDIR}/libfl_p.a
.endif

.include <bsd.lib.mk>
