=== usr.bin/file2c/Makefile ===
# $FreeBSD: src/usr.bin/file2c/Makefile,v 1.8 2005/05/15 06:26:59 marcel Exp $

PROG=	file2c
WARNS?=	6
.include <bsd.prog.mk>
