=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.12 2006/01/23 13:55:32 delphij Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

WARNS?=	6

.include <bsd.prog.mk>
