## freebsd-buildutils 7.2

=== share/mk/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/share/mk/Makefile,v 1.51 2007/06/01 15:32:23 pav Exp $
+# $FreeBSD: src/share/mk/Makefile,v 1.51.8.1 2009/04/15 03:14:26 kensmith Exp $
 #	@(#)Makefile	8.1 (Berkeley) 6/8/93
 
 FILES=	bsd.README
