=== usr.bin/brandelf/Makefile ===
# $FreeBSD: src/usr.bin/brandelf/Makefile,v 1.7.30.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	brandelf

.include <bsd.prog.mk>
