=== usr.bin/file2c/Makefile ===
# $FreeBSD: src/usr.bin/file2c/Makefile,v 1.8.20.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	file2c
WARNS?=	6
.include <bsd.prog.mk>
