=== usr.bin/lex/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/usr.bin/lex/Makefile,v 1.19 2003/07/11 05:30:58 kan Exp $
+# $FreeBSD: src/usr.bin/lex/Makefile,v 1.20.28.1 2009/04/15 03:14:26 kensmith Exp $
 #
 # By default, flex will be configured to generate 8-bit scanners only if the
 # -8 flag is given.  If you want it to always generate 8-bit scanners, add
@@ -19,7 +19,7 @@
 LFLAGS+=	-is
 CFLAGS+=	-I. -I${.CURDIR}
 INCS=		FlexLexer.h
-INCSDIR=	${INCLUDEDIR}/c++/3.3
+INCSDIR=	${INCLUDEDIR}
 MLINKS+=	lex.1 flex.1
 MLINKS+=	lex.1 flex++.1
 MLINKS+=	lex.1 lex++.1
