=== usr.bin/make/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #	@(#)Makefile	5.2 (Berkeley) 12/28/90
 #	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
-# $FreeBSD: src/usr.bin/make/Makefile,v 1.65 2006/05/11 18:08:44 ru Exp $
+# $FreeBSD: src/usr.bin/make/Makefile,v 1.65.2.2.2.1 2009/04/15 03:14:26 kensmith Exp $
 
 PROG=	make
 CFLAGS+=-I${.CURDIR}
@@ -8,16 +8,10 @@
 	lst.c main.c make.c parse.c proc.c shell.c str.c suff.c targ.c	\
 	util.c var.c
 
-NO_WERROR=
 WARNS?=	6
 NO_SHARED?=	YES
 
-CFLAGS+=-DOLD_JOKE=1
 CFLAGS+=-DMAKE_VERSION=\"5200408120\"
-.if defined(_UPGRADING)
-CFLAGS+=-D__FBSDID=__RCSID
-.endif
-
 # There is no obvious performance improvement currently.
 # CFLAGS+=-DUSE_KQUEUE
 
@@ -57,7 +51,7 @@
 	  echo ' * DO NOT EDIT' ;					\
 	  echo ' * $$''FreeBSD$$' ;					\
 	  echo -n ' * auto-generated from ' ;				\
-	  sed -nEe '/\$$FreeBSD/s/^.*\$$(.*)\$$.*$$/\1/p'		\
+	  sed -nEe '/\$$FreeBSD: src/usr.bin/make/Makefile,v 1.65.2.2.2.1 2009/04/15 03:14:26 kensmith Exp $/\1/p'		\
 		${.CURDIR}/parse.c ;					\
 	  echo ' * DO NOT EDIT' ;					\
 	  echo ' */' ;							\
