=== usr.bin/mkdep/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/mkdep/Makefile,v 1.9.34.1 2009/04/15 03:14:26 kensmith Exp $

SCRIPTS=	mkdep.gcc.sh
MAN=		mkdep.1
SCRIPTSNAME=	mkdep

.include <bsd.prog.mk>
