=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.12.8.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

WARNS?=	6

.include <bsd.prog.mk>
