=== usr.sbin/config/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # 	@(#)Makefile	8.1 (Berkeley) 6/6/93
-# $FreeBSD: src/usr.sbin/config/Makefile,v 1.38 2007/10/01 18:15:11 ru Exp $
+# $FreeBSD: src/usr.sbin/config/Makefile,v 1.38.8.1 2009/04/15 03:14:26 kensmith Exp $
 
 PROG=	config
 MAN=	config.5 config.8
