=== usr.sbin/kgzip/Makefile ===
# $FreeBSD: src/usr.sbin/kgzip/Makefile,v 1.11.30.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	kgzip
MAN=	kgzip.8
SRCS=	kgzip.c aouthdr.c elfhdr.c kgzcmp.c kgzld.c xio.c

WARNS?=	3

.include <bsd.prog.mk>
