=== usr.sbin/mtree/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	From: @(#)Makefile	8.1 (Berkeley) 6/6/93
-# $FreeBSD: src/usr.sbin/mtree/Makefile,v 1.27 2005/03/29 11:44:17 tobez Exp $
+# $FreeBSD: src/usr.sbin/mtree/Makefile,v 1.27.20.1 2009/04/15 03:14:26 kensmith Exp $
 
 .PATH: ${.CURDIR}/../../usr.bin/cksum
