## freebsd-buildutils 8.1

=== src/share/mk/Makefile ===
# $FreeBSD$
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README
FILES+=	bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.endian.mk
FILES+=	bsd.files.mk bsd.incs.mk bsd.info.mk bsd.init.mk
FILES+=	bsd.kmod.mk
FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
FILES+=	bsd.obj.mk bsd.own.mk
FILES+=	bsd.port.mk bsd.port.options.mk bsd.port.post.mk
FILES+=	bsd.port.pre.mk bsd.port.subdir.mk bsd.prog.mk
FILES+=	bsd.snmpmod.mk bsd.subdir.mk bsd.sys.mk bsd.symver.mk
FILES+=	sys.mk version_gen.awk
NO_OBJ=
FILESDIR=	${BINDIR}/mk

.include <bsd.prog.mk>
