## freebsd-buildutils 8.2

=== src/usr.bin/file2c/Makefile ===
# $FreeBSD$

PROG=	file2c
WARNS?=	6
.include <bsd.prog.mk>
