=== debian/changelog ===
freebsd-buildutils (8.2-8) unstable; urgency=low

  [ Matthias Klose ]
  * Fix FTBFS with ld --as-needed.  (Closes: #642091, LP: #749170)

  [ Robert Millan ]
  * Export CFLAGS in debian/rules so that it is actually propagated.
    (Closes: #642700)
  * Fix bsd.dep.mk so that -U flags are propagated in kernel builds.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 15:02:07 +0100

freebsd-buildutils (8.2-7) unstable; urgency=low

  * 04_lex_disable_unused.diff: Fix generation of code in lex, which
    defined __unused and broke system headers (see #522773 and #522774).

 -- Robert Millan <rmh@debian.org>  Tue, 12 Jul 2011 17:53:12 +0200

freebsd-buildutils (8.2-6) unstable; urgency=low

  * 21_endian.diff: If neither TARGET_BIG_ENDIAN or TARGET_LITTLE_ENDIAN are
    defined, default to native compilation (fixes FTBFS on mips and armeb).

 -- Robert Millan <rmh@debian.org>  Wed, 06 Jul 2011 19:48:48 +0200

freebsd-buildutils (8.2-5) unstable; urgency=low

  * Disable libbsd overlay untill #630907 is fixed.  (Closes: #632600)

 -- Robert Millan <rmh@debian.org>  Mon, 04 Jul 2011 15:43:02 +0200

freebsd-buildutils (8.2-4) unstable; urgency=low

  * MACHINE_ARCH is now set to "mips" on mipsel.  (Closes: #631890)

 -- Robert Millan <rmh@debian.org>  Sat, 02 Jul 2011 13:13:57 +0200

freebsd-buildutils (8.2-3) unstable; urgency=low

  * 18_fix_sysdir.diff: Bring back search in relative paths (removing it
    breaks kfreebsd builds).  (Closes: #631889, #631892)

 -- Robert Millan <rmh@debian.org>  Tue, 28 Jun 2011 15:23:42 +0200

freebsd-buildutils (8.2-2) unstable; urgency=low

  * 18_fix_sysdir.diff: Fix SYSDIR path to make kernel modules buildable.
    (Closes: #594183).
  * Switch to use the libbsd-overlay:
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Disable FreeBSD/pc98 pre-7.0 compatibility on non-FreeBSD (fixes FTBFS on
    hurd-i386).
  * 19_fix_cmd_pathnames.diff: Fix pathnames for a number of commands.
    (Closes: #625261)
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Jun 2011 17:47:37 +0200

freebsd-buildutils (8.2-1) unstable; urgency=low

  [ Robert Millan ]
  * 10_non_kfreebsd.diff: Make freebsd-make usable on non-kFreeBSD
    systems.  (Closes: #602768)

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Use -C option for pmake instead of manually changing dir.
  * Stop Build-Depending on pmake, bootstrap freebsd-make using GNU make
    and use it as pmake instead of using it from the pmake package.
  * Switch to debhelper compatibility level 7.
    - Use dh_prep instead of “dh_clean -k”.
  * Only use MACHINE_ARCH in freebsd-make if it's defined.
  * Add support for Multi-Arch directories to freebsd-make:
    - Do not switch LIBDIR yet, the dynamic linker does not have the
      correct paths for i386 based architectures.
    - Add builtin MACHINE_MULTIARCH make variable.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap CFLAGS variable in debian/rules.
  * Install binaries directly to /usr/lib/freebsd instead of relocating them
    from /usr/bin and /usr/sbin.
  * Install the man pages. (Closes: #493898)
  * Change ‘unix’ freebsd-make variable to “We run Debian, not UNIX.” and
    remove ‘.FreeBSD’ freebsd-make variable. (Closes: #493841)
  * Intersperse Depends description comments between the actual dependencies.
  * Do not install profile and libfl.a hardlinks for freebsd-lex libln.a.

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2011 04:20:37 +0200

freebsd-buildutils (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_1_0_RELEASE)

  [ Aurelien Jarno ]
  * Update debian/copyright.
  * Bumped Standard-Versions to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 21:33:33 +0200

freebsd-buildutils (8.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_0_0_RELEASE)
  * Add a get-orig-source target to debian/rules and
       stop using a tar in tar system.
  * Use quilt for patches management

  [ Aurelien Jarno ]
  * Add a README.source.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Apr 2010 23:53:50 +0200

freebsd-buildutils (7.2-2) unstable; urgency=low

  * Remove part of the automatic patches in favor of patches.
  * Use libbsd instead of hacked funtions (Closes: #379259).
  * Use <bsd/sys/*.h> includes instead of <bsd/*.h>.
  * Remove depends on dash, it is now essential.
  * Add depends on ${misc:Depends}.
  * Bumped Standard-Versions to 3.8.4 (no changes).
  * Handle nostrip build options (Closes: #436857).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Apr 2010 16:49:49 +0200

freebsd-buildutils (7.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_2_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 May 2009 09:03:20 +0200

freebsd-buildutils (7.1-2) unstable; urgency=low

  * patches/15_manpages_gzip.diff: new patch to gzip manpages with -9 by
    default, as required on Debian systems.
  * Switch to debhelper 5.
  * Bumped Standard-Versions to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Apr 2009 17:49:03 +0200

freebsd-buildutils (7.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_1_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Jan 2009 11:59:32 +0100

freebsd-buildutils (7.0-2) unstable; urgency=low

  [ Petr Salinger ]
  * fix implicit-pointer-conversion by including appropriate headers.
    Closes: #493770.
  * add Vcs-* fields into debian/control.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Aug 2008 14:30:25 +0200


