=== src/usr.bin/lex/Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
 MLINKS+=	lex.1 flex++.1
 MLINKS+=	lex.1 lex++.1
 
+WARNS?=		2
+
 CLEANFILES=	scan.c skel.c
 
 SUBDIR=		lib
@@ -42,7 +44,7 @@
 check: $(PROG)
 	./$(PROG) $(LFLAGS) -t $(COMPRESSION) $(.CURDIR)/scan.l \
 	| sed s,\"$(.CURDIR)/scan.l",\"scan.l", \
-	| diff $(.CURDIR)/initscan.c -
+	| diff -I '\$$FreeBS[D]:.*\$$' $(.CURDIR)/initscan.c -
 	@echo "Check successful"
 
 .include <bsd.prog.mk>
