=== src/usr.sbin/mtree/Makefile ===
--- 
+++ 
@@ -8,8 +8,6 @@
 SRCS=	compare.c crc.c create.c excludes.c misc.c mtree.c spec.c verify.c
 SRCS+=	specspec.c
 
-WARNS?=	4
-
 CFLAGS+= -DMD5 -DSHA1 -DRMD160 -DSHA256
 DPADD=	${LIBMD}
 LDADD=	-lmd
