=== src/usr.bin/lex/lib/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 LIB=    ln
 SRCS=   libmain.c libyywrap.c
 NO_PIC=
+
+WARNS?=	2
 
 .if ${MK_INSTALLLIB} != "no"
 LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a
