=== debian/changelog ===
freebsd-buildutils (9.0-8) unstable; urgency=low

  * Add getosreldate() to local headers.
  * Make feature_present() backward-compatible with pre-900038 kernels.

 -- Robert Millan <rmh@debian.org>  Thu, 23 Feb 2012 20:58:39 +0100

freebsd-buildutils (9.0-7) unstable; urgency=low

  * sys/endian.h: Don't include_next <machine/endian.h>, just include.
  * Add execvP().

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 22:57:13 +0100

freebsd-buildutils (9.0-6) unstable; urgency=low

  * Make <sys/types.h> imply <machine/endian.h>, even on non-kFreeBSD
    platforms (we always have <machine/endian.h> in local directory).

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 20:45:29 +0100

freebsd-buildutils (9.0-5) unstable; urgency=low

  * Add implicit includes to sys/stdint.h.
  * Steal a few more definitions for sys/cdefs.h.

 -- Robert Millan <rmh@debian.org>  Sat, 04 Feb 2012 17:14:34 +0100

freebsd-buildutils (9.0-4) unstable; urgency=low

  * FreeBSD code expects that <sys/param.h> implicitly defines SIG*
    macros.
  * Cherry-pick MK_SOURCELESS build option from 10-CURRENT.

 -- Robert Millan <rmh@debian.org>  Sat, 04 Feb 2012 12:27:38 +0100

freebsd-buildutils (9.0-3) unstable; urgency=low

  * Replace 10_non_kfreebsd.diff with equivalent patch from upstream
    HEAD.
  * Add __BEGIN_DECLS / __END_DECLS in local unistd.h.
  * Fix local endian.h to use native <sys/endian.h> on GNU/kFreeBSD.
  * Add local sys/errno.h and sys/stdint.h.
  * Add a few more definitions to local sys/cdefs.h.
  * Remove getline kludge. The second part was unneeded, the first one
    caused version_gen.awk to hang.
  * Add __offsetof().
  * Add nfssvc, closefrom and feature_present to unistd.h.
  * Add sys/time.h.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Jan 2012 02:59:54 +0100

freebsd-buildutils (9.0-2) unstable; urgency=low

  * Add elf_common.h to local includes to fix FTBFS on GNU/Linux.
  * Install headers in freebsd hierrachy.

 -- Robert Millan <rmh@debian.org>  Sun, 08 Jan 2012 00:45:11 +0100

freebsd-buildutils (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Sat, 07 Jan 2012 20:34:01 +0100
