=== debian/control ===
Source: freebsd-buildutils
Section: devel
Priority: extra
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), flex, bison,
 libbsd-dev (>= 0.3.0),
 pkg-config,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-buildutils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-buildutils/
Standards-Version: 3.9.2

Package: freebsd-buildutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdmainutils, unzip, patchutils,
# Dependencies needed because of symlinks in /usr/lib/freebsd:
#   awk -> original-awk
 original-awk,
#   gmake -> make
 make
Conflicts: freebsd5-buildutils, freebsd6-buildutils, pmake
Provides: freebsd6-buildutils, freebsd7-buildutils
Description: Utilities for building FreeBSD sources
 This package contains the FreeBSD counterparts of some standard build
 utilities (make, yacc, lex ..)
 .
 They have some specific modifications needed to be able to build FreeBSD
 sources (such as kfreebsd-8).
