=== debian/rules ===
--- 
+++ 
@@ -28,22 +28,31 @@
     export STRIPFLAG=
 endif
 
+full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
+svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
+version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
+pversion	:= $(shell echo $(version) | sed -e 's/\./_/g')
+major           := $(shell echo $(version) | sed -e 's/\..*//g')
+revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
+
+SVN		:= http://svn.freebsd.org/base/release/$(version).0
+#SVN		:= http://svn.freebsd.org/base/releng/$(version)
+#SVN		:= http://svn.freebsd.org/base/stable/$(major)
+#SVN		:= http://svn.freebsd.org/base/head
+
 SOURCE = freebsd-buildutils
-VERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g')
-SVN = http://svn.freebsd.org/base/release/$(VERSION).0
-
-PVERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g' -e 's/\./_/g')
+ORIGDIR = $(SOURCE)-$(tar_version)
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
+
 PCVS = anoncvs@anoncvs.fr.freebsd.org:/home/ncvs
-PTAG = RELEASE_$(PVERSION)_0
-
-ORIGDIR = $(SOURCE)-$(VERSION)
-TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
+PTAG = RELEASE_$(pversion)_0
 
 export CFLAGS = -O2 -g -Wall -D_GNU_SOURCE \
          -DMACHINE_ARCH='"$(MACHINE_ARCH)"' \
          -DMACHINE_MULTIARCH='"$(MACHINE_MULTIARCH)"' \
          -I$(CURDIR)/build-tree/src/sys \
-	 -D'__FBSDID(string)='
+	-D_GNU_SOURCE=1 -isystem $(CURDIR)/debian/local/include
 # disabled due to #630907 (see also 20_libbsd_overlay.diff)
 # $(shell pkg-config --cflags libbsd-overlay)
 MAKE_BUILD_FLAGS = CC=gcc NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO
@@ -154,6 +163,8 @@
 		$(CURDIR)/debian/$(package)/usr/bin/freebsd-$$i ; \
 	done
 	rmdir $(CURDIR)/debian/$(package)/usr/sbin
+
+	dh_install
 
 clean:
 	dh_testdir
